
        -- set npc positions and information
    local tmp, min_y, tmp, tmp, max_y = E.get_entity_bound(Wilhelm_Winckelmann_Idle)
	local h = max_y - min_y
	E.set_entity_position(Wilhelm_Winckelmann, 49.332, h / 2 + 0.2, 44.6)

	tmp, min_y, tmp, tmp, max_y = E.get_entity_bound(Lacy_Lane_Idle)
	h = max_y - min_y
	E.set_entity_position(Lacy_Lane, 56.184, h / 2 + 0.2, 56.6)

	tmp, min_y, tmp, tmp, max_y = E.get_entity_bound(Samuel_Harris_Idle)
	h = max_y - min_y
	E.set_entity_position(Samuel_Harris, 24.567, h / 2, 37.291)

	tmp, min_y, tmp, tmp, max_y = E.get_entity_bound(Martha_Stewart_Idle)
	h = max_y - min_y
    E.set_entity_position(Martha_Stewart, 43, h / 2, 23)

	tmp, min_y, tmp, tmp, max_y = E.get_entity_bound(Abigail_Stewart)
	h = max_y - min_y
	E.set_entity_position(Abigail_Stewart, 38, h / 2, 25)

	tmp, min_y, tmp, tmp, max_y = E.get_entity_bound(Dillon_White_Idle)
	h = max_y - min_y
	E.set_entity_position(Dillon_White, 65.5, h / 2, 76.2)

	tmp, min_y, tmp, tmp, max_y = E.get_entity_bound(Bob_Cassady_Idle)
	h = max_y - min_y
	E.set_entity_position(Bob_Cassady, 76, h / 2, 54.945)

	tmp, min_y, tmp, tmp, max_y = E.get_entity_bound(Raquel_Ramirez_Idle)
	h = max_y - min_y
	E.set_entity_position(Raquel_Ramirez, 74, h / 2, 50.945)

	tmp, min_y, tmp, tmp, max_y = E.get_entity_bound(Chin_Li_Idle)
	h = max_y - min_y
	E.set_entity_position(Chin_Li, 10, h / 2, 65)

	tmp, min_y, tmp, tmp, max_y = E.get_entity_bound(Claire_dAvignon_Idle)
	h = max_y - min_y
	E.set_entity_position(Claire_dAvignon, 7, h / 2, 8.9)

	tmp, min_y, tmp, tmp, max_y = E.get_entity_bound(Giorgio_Venturi)
	h = max_y - min_y
	E.set_entity_position(Giorgio_Venturi, 5.5, h / 2, 38)

	tmp, min_y, tmp, tmp, max_y = E.get_entity_bound(Shelley_Stevenson)
	h = max_y - min_y
	E.set_entity_position(Shelley_Stevenson, 12.75, h / 2, 48)

	--E.set_entity_position(Obudon_Salameki, 73, 3.25, 24.03)
	tmp, min_y, tmp, tmp, max_y = E.get_entity_bound(Clem_Bergreen)
	h = max_y - min_y
	E.set_entity_position(Clem_Bergreen, 72.5, h / 2, 63.5)

	tmp, min_y, tmp, tmp, max_y = E.get_entity_bound(Unknown_Name)
	h = max_y - min_y
	E.set_entity_position(Unknown_Name, 50, h / 2, 15)

	--E.set_entity_position(Bijo_Patel, 70, 3.25, 55)
        --E.set_entity_geom_type(Bijo_Patel, E.geom_type_box, 2, 6.5, 2)
        --E.set_entity_geom_attr(Bijo_Patel, E.geom_attr_category, category_person)
	--E.set_entity_geom_attr(Bijo_Patel, E.geom_attr_collider, category_player + category_picker)
	--E.set_entity_geom_attr(Bijo_Patel, E.geom_attr_response, category_none)
	
        -- set painting positions and information
        -- 19th century room      3rd room

	E.set_entity_position(painting1, painting_positions[painting1].pos_x, painting_positions[painting1].pos_y, painting_positions[painting1].pos_z)

	E.set_entity_position(painting2, painting_positions[painting2].pos_x, painting_positions[painting2].pos_y, painting_positions[painting2].pos_z)
        
	E.set_entity_position(painting3, painting_positions[painting3].pos_x, painting_positions[painting3].pos_y, painting_positions[painting3].pos_z)
	
	E.set_entity_position(painting4, painting_positions[painting4].pos_x, painting_positions[painting4].pos_y, painting_positions[painting4].pos_z)
        
	E.set_entity_position(painting5, painting_positions[painting5].pos_x, painting_positions[painting5].pos_y, painting_positions[painting5].pos_z)
        
	E.set_entity_position(painting6, painting_positions[painting6].pos_x, painting_positions[painting6].pos_y, painting_positions[painting6].pos_z)
        
	E.set_entity_position(painting7, painting_positions[painting7].pos_x, painting_positions[painting7].pos_y, painting_positions[painting7].pos_z)
        
	E.set_entity_position(painting8, painting_positions[painting8].pos_x, painting_positions[painting8].pos_y, painting_positions[painting8].pos_z)
	E.set_entity_rotation(painting8, 0, 270, 0)
	
	E.set_entity_position(painting9, painting_positions[painting9].pos_x, painting_positions[painting9].pos_y, painting_positions[painting9].pos_z)
	E.set_entity_rotation(painting9, 0, 270, 0)
        
	E.set_entity_position(painting10, painting_positions[painting10].pos_x, painting_positions[painting10].pos_y, painting_positions[painting10].pos_z)
	E.set_entity_rotation(painting10, 0, 180, 0)
       
	E.set_entity_position(painting11, painting_positions[painting11].pos_x, painting_positions[painting11].pos_y, painting_positions[painting11].pos_z)
	E.set_entity_rotation(painting11, 0, 270, 0)
        
	E.set_entity_position(painting12, painting_positions[painting12].pos_x, painting_positions[painting12].pos_y, painting_positions[painting12].pos_z)
	E.set_entity_rotation(painting12, 0, 180, 0)
        
	E.set_entity_position(painting13, painting_positions[painting13].pos_x, painting_positions[painting13].pos_y, painting_positions[painting13].pos_z)
	E.set_entity_rotation(painting13, 0, 90, 0)
        
	E.set_entity_position(painting14, painting_positions[painting14].pos_x, painting_positions[painting14].pos_y, painting_positions[painting14].pos_z)
	E.set_entity_rotation(painting14, 0, 90, 0)
        
        -- medieval room    1st room
    --[[
	E.set_entity_position(painting15, painting_positions[painting15].pos_x, painting_positions[painting15].pos_y, painting_positions[painting15].pos_z)
	E.set_entity_rotation(painting15, 0, 270, 0)
        
        ]]

	E.set_entity_position(painting16, painting_positions[painting16].pos_x, painting_positions[painting16].pos_y, painting_positions[painting16].pos_z)
	E.set_entity_rotation(painting16, 0, 270, 0)
        
	E.set_entity_position(painting17, painting_positions[painting17].pos_x, painting_positions[painting17].pos_y, painting_positions[painting17].pos_z)
	E.set_entity_rotation(painting17, 0, 270, 0)
        
	E.set_entity_position(painting18, painting_positions[painting18].pos_x, painting_positions[painting18].pos_y, painting_positions[painting18].pos_z)
	E.set_entity_rotation(painting18, 0, 270, 0)

	E.set_entity_position(painting19, painting_positions[painting19].pos_x, painting_positions[painting19].pos_y, painting_positions[painting19].pos_z)
	E.set_entity_rotation(painting19, 0, 270, 0)
        
	E.set_entity_position(painting20, painting_positions[painting20].pos_x, painting_positions[painting20].pos_y, painting_positions[painting20].pos_z)
	E.set_entity_rotation(painting20, 0, 270, 0)

	E.set_entity_position(painting21, painting_positions[painting21].pos_x, painting_positions[painting21].pos_y, painting_positions[painting21].pos_z)
	E.set_entity_rotation(painting21, 0, 180, 0)
        
	E.set_entity_position(painting22, painting_positions[painting22].pos_x, painting_positions[painting22].pos_y, painting_positions[painting22].pos_z)
	E.set_entity_rotation(painting22, 0, 180, 0)
        
	E.set_entity_position(painting23, painting_positions[painting23].pos_x, painting_positions[painting23].pos_y, painting_positions[painting23].pos_z)
	E.set_entity_rotation(painting23, 0, 180, 0)
        
	E.set_entity_position(painting24, painting_positions[painting24].pos_x, painting_positions[painting24].pos_y, painting_positions[painting24].pos_z)
	E.set_entity_rotation(painting24, 0, 90, 0)
        
	E.set_entity_position(painting25, painting_positions[painting25].pos_x, painting_positions[painting25].pos_y, painting_positions[painting25].pos_z)
	E.set_entity_rotation(painting25, 0, 90, 0)
        
	E.set_entity_position(painting26, painting_positions[painting26].pos_x, painting_positions[painting26].pos_y, painting_positions[painting26].pos_z)
	E.set_entity_rotation(painting26, 0, 90, 0)
        
	E.set_entity_position(painting27, painting_positions[painting27].pos_x, painting_positions[painting27].pos_y, painting_positions[painting27].pos_z)
	E.set_entity_rotation(painting27, 0, 90, 0)

	E.set_entity_position(painting28, painting_positions[painting28].pos_x, painting_positions[painting28].pos_y, painting_positions[painting28].pos_z)
	E.set_entity_rotation(painting28, 0, 90, 0)
        
	E.set_entity_position(painting29, painting_positions[painting29].pos_x, painting_positions[painting29].pos_y, painting_positions[painting29].pos_z)
	E.set_entity_rotation(painting29, 0, 90, 0)
        

        -- modern room   4th room
	E.set_entity_position(painting30, painting_positions[painting30].pos_x, painting_positions[painting30].pos_y, painting_positions[painting30].pos_z)
	E.set_entity_rotation(painting30, 0, 270, 0)
        
	E.set_entity_position(painting31, painting_positions[painting31].pos_x, painting_positions[painting31].pos_y, painting_positions[painting31].pos_z)
	E.set_entity_rotation(painting31, 0, 270, 0)
        
	E.set_entity_position(painting32, painting_positions[painting32].pos_x, painting_positions[painting32].pos_y, painting_positions[painting32].pos_z)
	E.set_entity_rotation(painting32, 0, 270, 0)
        
	E.set_entity_position(painting33, painting_positions[painting33].pos_x, painting_positions[painting33].pos_y, painting_positions[painting33].pos_z)
	E.set_entity_rotation(painting33, 0, 270, 0)
        
	E.set_entity_position(painting34, painting_positions[painting34].pos_x, painting_positions[painting34].pos_y, painting_positions[painting34].pos_z)
	E.set_entity_rotation(painting34, 0, 270, 0)
        
	E.set_entity_position(painting35, painting_positions[painting35].pos_x, painting_positions[painting35].pos_y, painting_positions[painting35].pos_z)
	E.set_entity_rotation(painting35, 0, 270, 0)
        
	E.set_entity_position(painting36, painting_positions[painting36].pos_x, painting_positions[painting36].pos_y, painting_positions[painting36].pos_z)
	E.set_entity_rotation(painting36, 0, 270, 0)
        
	E.set_entity_position(painting37, painting_positions[painting37].pos_x, painting_positions[painting37].pos_y, painting_positions[painting37].pos_z)
	E.set_entity_rotation(painting37, 0, 180, 0)
        
	E.set_entity_position(painting38, painting_positions[painting38].pos_x, painting_positions[painting38].pos_y, painting_positions[painting38].pos_z)
	E.set_entity_rotation(painting38, 0, 90, 0)
        
	E.set_entity_position(painting39, painting_positions[painting39].pos_x, painting_positions[painting39].pos_y, painting_positions[painting39].pos_z)
	E.set_entity_rotation(painting39, 0, 90, 0)
        
	E.set_entity_position(painting40, painting_positions[painting40].pos_x, painting_positions[painting40].pos_y, painting_positions[painting40].pos_z)
	E.set_entity_rotation(painting40, 0, 90, 0)
        
	E.set_entity_position(painting41, painting_positions[painting41].pos_x, painting_positions[painting41].pos_y, painting_positions[painting41].pos_z)
	E.set_entity_rotation(painting41, 0, 90, 0)
        
	E.set_entity_position(painting42, painting_positions[painting42].pos_x, painting_positions[painting42].pos_y, painting_positions[painting42].pos_z)
	E.set_entity_rotation(painting42, 0, 90, 0)
        
	E.set_entity_position(painting43, painting_positions[painting43].pos_x, painting_positions[painting43].pos_y, painting_positions[painting43].pos_z)
	E.set_entity_rotation(painting43, 0, 90, 0)
        
        -- ren baroque room  2nd room
	E.set_entity_position(painting44, painting_positions[painting44].pos_x, painting_positions[painting44].pos_y, painting_positions[painting44].pos_z)
	E.set_entity_rotation(painting44, 0, 90, 0)
        
	E.set_entity_position(painting45, painting_positions[painting45].pos_x, painting_positions[painting45].pos_y, painting_positions[painting45].pos_z)
	E.set_entity_rotation(painting45, 0, 90, 0)
        
	E.set_entity_position(painting46, painting_positions[painting46].pos_x, painting_positions[painting46].pos_y, painting_positions[painting46].pos_z)
	E.set_entity_rotation(painting46, 0, 90, 0)
        
	E.set_entity_position(painting47, painting_positions[painting47].pos_x, painting_positions[painting47].pos_y, painting_positions[painting47].pos_z)
	E.set_entity_rotation(painting47, 0, 90, 0)
        
	E.set_entity_position(painting48, painting_positions[painting48].pos_x, painting_positions[painting48].pos_y, painting_positions[painting48].pos_z)
	E.set_entity_rotation(painting48, 0, 90, 0)
        
	E.set_entity_position(painting49, painting_positions[painting49].pos_x, painting_positions[painting49].pos_y, painting_positions[painting49].pos_z)
	E.set_entity_rotation(painting49, 0, 90, 0)
        
	E.set_entity_position(painting50, painting_positions[painting50].pos_x, painting_positions[painting50].pos_y, painting_positions[painting50].pos_z)
	E.set_entity_rotation(painting50, 0, 90, 0)
        
	E.set_entity_position(painting51, painting_positions[painting51].pos_x, painting_positions[painting51].pos_y, painting_positions[painting51].pos_z)
        
	E.set_entity_position(painting52, painting_positions[painting52].pos_x, painting_positions[painting52].pos_y, painting_positions[painting52].pos_z)
        
	E.set_entity_position(painting53, painting_positions[painting53].pos_x, painting_positions[painting53].pos_y, painting_positions[painting53].pos_z)
        
	E.set_entity_position(painting54, painting_positions[painting54].pos_x, painting_positions[painting54].pos_y, painting_positions[painting54].pos_z)
        
	E.set_entity_position(painting55, painting_positions[painting55].pos_x, painting_positions[painting55].pos_y, painting_positions[painting55].pos_z)
        
	E.set_entity_position(painting56, painting_positions[painting56].pos_x, painting_positions[painting56].pos_y, painting_positions[painting56].pos_z)
        
	E.set_entity_position(painting57, painting_positions[painting57].pos_x, painting_positions[painting57].pos_y, painting_positions[painting57].pos_z)
	E.set_entity_rotation(painting57, 0, 270, 0)
 
	E.set_entity_position(painting58, painting_positions[painting58].pos_x, painting_positions[painting58].pos_y, painting_positions[painting58].pos_z)
	E.set_entity_rotation(painting58, 0, 270, 0)
        
	E.set_entity_position(painting59, painting_positions[painting59].pos_x, painting_positions[painting59].pos_y, painting_positions[painting59].pos_z)
	E.set_entity_rotation(painting59, 0, 270, 0)
        
	E.set_entity_position(painting60, painting_positions[painting60].pos_x, painting_positions[painting60].pos_y, painting_positions[painting60].pos_z)
	E.set_entity_rotation(painting60, 0, 270, 0)
        
--[[
		add_spot_light(MedPainting15Shader, MedSpotLight1)
		add_spot_light(MedPainting16Shader, MedSpotLight1)
		add_spot_light(MedPainting17Shader, MedSpotLight1)
		add_spot_light(MedPainting18Shader, MedSpotLight1)
		add_spot_light(MedPainting19Shader, MedSpotLight1)        
		--]]